%define _libexecdir	%_prefix/libexec

Name: libgpod
Version: 0.6.0
Release: alt7

Summary: iPod access library
Group: Sound
License: LGPL
URL: http://www.gtkpod.org/libgpod.html

Packager: Anton Protopopov <aspsk@altlinux.org>

Source: %name-%version.tar.gz

PreReq: hal >= 0.5

# Automatically added by buildreq on Tue Feb 06 2007
BuildRequires: gcc-c++ glib2-devel intltool libgtk+2-devel libhal-devel libtag-devel perl-XML-Parser
BuildRequires: python-devel python-module-eyeD3 python-modules-encodings python-module-mutagen
BuildRequires: python-module-pygobject-devel swig libsgutils-devel

%description
libgpod is a library meant to abstract access to an iPod content. It
provides an easy to use API to retrieve the list of files and playlist
stored on an iPod, to modify them and to save them back to the iPod.

%prep
%setup -q

%build
%configure \
	--disable-static \
	--with-hal-callouts-dir=%_libexecdir/hal

%make_build

%install
%make DESTDIR=%buildroot install

rm -f %buildroot%python_sitelibdir/gpod/*.la

%find_lang %name

%files
%_libdir/*.so.*

%changelog
* Wed Apr 08 2009 Anton Protopopov <aspsk@altlinux.org> 0.6.0-alt7
- Back to libgpod; to confirm SharedLibsPolicy

* Wed Apr 08 2009 Anton Protopopov <aspsk@altlinux.org> 0.6.0-alt6
- Pessimistic rename to libgpod3

* Tue Apr 07 2009 Anton Protopopov <aspsk@altlinux.org> 0.6.0-alt5
- Add confict on libgpod < 0.6.0-alt5

* Mon Apr 06 2009 Anton Protopopov <aspsk@altlinux.org> 0.6.0-alt4
- Build compat library

* Wed Jan 21 2009 Anton Protopopov <aspsk@altlinux.org> 0.6.0-alt3
- Gearify

* Mon Oct 27 2008 Valery Inozemtsev <shrek@altlinux.ru> 0.6.0-alt2
- fixed build with gcc4.3

* Sun Nov 11 2007 Valery Inozemtsev <shrek@altlinux.ru> 0.6.0-alt1
- 0.6.0

* Tue Aug 21 2007 Valery Inozemtsev <shrek@altlinux.ru> 0.5.2-alt1
- 0.5.2

* Tue Feb 06 2007 Valery Inozemtsev <shrek@altlinux.ru> 0.4.2-alt1
- 0.4.2
- added libgpod-0.4.2-alt-gpod-link.patch

* Sun Sep 24 2006 Mikhail Zabaluev <mhz@altlinux.ru> 0.4.0-alt1
- Release 0.4.0
- Added libgpod-devel-doc package
- Added python-modules-gpod package

* Fri Mar 17 2006 Mikhail Zabaluev <mhz@altlinux.ru> 0.3.2-alt1
- Initial release for Sisyphus
